查询VC订单详情【DF】
POST
/basicOpen/platformOrder/vcOrderDf/detail接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/platformOrder/vcOrderDf/detail | HTTPS | POST | 1 |
请求参数
vc_store_idstring必填purchase_order_numberstring必填返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填totalinteger必填dataobject必填隐藏子属性
vc_store_idstring必填seller_namestring必填local_po_numberstring必填purchase_order_numberstring必填purchase_order_datestring必填purchase_order_statestring必填purchase_order_typestring必填bill_to_party_idstring必填ship_from_party_idstring必填related_warehouse_idstring必填related_warehouse_namestring必填ship_methodstring必填ship_window_timestring必填promised_delivery_datestring必填is_pslip_requiredstring必填is_giftstring必填is_scheduled_delivery_shipmentstring必填is_priority_shipmentstring必填message_to_customerstring必填total_pricestring必填currency_codestring必填currency_iconstring必填item_amountstring必填remarkstring必填itemsarray<object>必填隐藏子属性
asinstring必填mskustring必填parent_asinstring必填item_namestring必填large_main_image_urlstring必填medium_main_image_urlstring必填small_main_image_urlstring必填pic_urlstring必填local_skustring必填local_namestring必填purchase_amountstring必填shipped_amountstring必填waiting_shipped_amountstring必填available_amountstring必填sequence_numberstring必填unit_pricestring必填net_pricestring必填net_price_currency_codestring必填net_price_currency_iconstring必填tax_amountstring必填tax_amount_currency_codestring必填tax_amount_currency_iconstring必填tax_ratestring必填tax_rate_percentstring必填deal_total_pricestring必填deal_unit_pricestring必填tracking_number_Listarray<object>必填隐藏子属性
box_nostring必填tracking_numberstring必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "0e64165eefb246919b3feb07df06a766.1699265254827",
"response_time": "2023-11-06 18:07:37",
"data": {
"vc_store_id": "134225003201380864",
"seller_name": "VC01-美国",
"local_po_number": "402229221848662528",
"purchase_order_number": "XB95bX69r",
"purchase_order_date": "2022-08-24 23:44:25",
"purchase_order_state": "New",
"purchase_order_type": "0",
"bill_to_party_id": "ASI",
"ship_from_party_id": "ENVW",
"related_warehouse_id": "1",
"related_warehouse_name": "仓库1",
"ship_method": "UPS_2ND",
"ship_window_time": "2022-09-16 18:40:00",
"promised_delivery_date": "2022-08-31 23:59:59",
"is_pslip_required": "0",
"is_gift": "0",
"is_scheduled_delivery_shipment": "0",
"is_priority_shipment": "0",
"message_to_customer": null,
"total_price": "95.99",
"currency_code": "USD",
"currency_icon": "$",
"item_amount": "1",
"remark": null,
"items": [
{
"asin": "B09WHZZ17G",
"msku": "RC0808-01Z",
"parent_asin": "B0B1JC46X2",
"item_name": "Amagenix Outdoor ",
"large_main_image_url": "https://m.xxx.com/images/I/71ONL.jpg",
"medium_main_image_url": "https://m.xxx.com/images/I/5wz11L.jpg",
"small_main_image_url": "https://m.xxx.com/images/I/SL75_.jpg",
"pic_url": "https://image.xxx.com/9664738f11.jpg",
"local_sku": "SKU1991FC9",
"local_name": "[演示数据]适用于iPad的手写笔带手掌柜绝",
"purchase_amount": "1",
"shipped_amount": "10",
"waiting_shipped_amount": "-9",
"available_amount": 886,
"sequence_number": "1",
"unit_price": "79.99",
"net_price": "79.99",
"net_price_currency_code": "USD",
"net_price_currency_icon": "$",
"tax_amount": "7.20",
"tax_amount_currency_code": "USD",
"tax_amount_currency_icon": "$",
"tax_rate": "0.0750",
"tax_rate_percent": "7.50%",
"deal_total_price": "95.99",
"deal_unit_price": "95.99"
}
],
"tracking_number_List": [
{
"tracking_number": "1ZB348D60337150055",
"box_no": "2023052502634193"
},
{
"tracking_number": "1ZB348D60337150055-1",
"box_no": "202305250263411"
}
]
},
"total": 0
}